/*
	LWCOLLADA, LightWawe plugin for COLLADA.
	Copyright (C) 2004 Yoshikuni Nomura
	If you want contact to me, please send a e-mail to mail@nomuraz.com .

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __LWCHUNK_H__
#define __LWCHUNK_H__

#include <string>
#include <vector>

class LWChunk{
public:
	LWChunk();
	~LWChunk();

	void SetChunk( std::vector < unsigned char > Chunk );
	std::vector < unsigned char > GetChunk(){ return Chunk; };

	void SetInt1( const char Data );
	void SetInt2( const short Data );
	void SetInt4( const long Data );
	void SetUInt1( const unsigned char Data );
	void SetUInt2( const unsigned short Data );
	void SetUInt4( const unsigned long Data );
	void SetFloat( const float Data );
	void SetString( const std::string String );

	unsigned char* GetChunkPointer();
	unsigned int GetSize();

protected:
	std::vector < unsigned char > Chunk;
	unsigned char *pChunk;
};

#endif // __LWCHUNK_H__
